JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

Loading...
Searching...
No Matches
Namespaces | Classes | Functions
containers
juce_dsp

## Namespaces
namespace | juce
namespace | juce::dsp
namespace | dsp
namespace | dsp::util

## Classes
class | juce::dsp::AudioBlock< SampleType >
| Minimal and lightweight data-structure which contains a list of pointers to channels containing some kind of sample data. More...
struct | juce::dsp::SIMDRegister< Type >
| A wrapper around the platform's native SIMD register type. More...
struct | dsp::SIMDRegister::ElementAccess< Type >

## Functions
template<typename Type >
dsp::SIMDRegister< Type > JUCE_VECTOR_CALLTYPE | jmin (dsp::SIMDRegister< Type > a, dsp::SIMDRegister< Type > b)
template<typename Type >
dsp::SIMDRegister< Type > JUCE_VECTOR_CALLTYPE | jmax (dsp::SIMDRegister< Type > a, dsp::SIMDRegister< Type > b)

## Detailed Description

## Function Documentation

## ◆ jmin()

template<typename Type >

dsp::SIMDRegister< Type > JUCE_VECTOR_CALLTYPE jmin | ( | dsp::SIMDRegister< Type > | a,
|  | dsp::SIMDRegister< Type > | b )

## ◆ jmax()

template<typename Type >

dsp::SIMDRegister< Type > JUCE_VECTOR_CALLTYPE jmax | ( | dsp::SIMDRegister< Type > | a,
|  | dsp::SIMDRegister< Type > | b )